import BaseFoundation from '../base/foundation';
export default class DescriptionsFoundation extends BaseFoundation {
  constructor(adapter) {
    super(Object.assign({}, adapter));
  }
  getHorizontalList() {
    const {
      column,
      data,
      children
    } = this.getProps();
    let columns;
    if (data === null || data === void 0 ? void 0 : data.length) {
      columns = data || [];
    } else {
      columns = (children === null || children === void 0 ? void 0 : children.map(item => Object.assign({
        value: item.props.children
      }, item.props))) || [];
    }
    const horizontalList = [];
    const curSpan = {
      totalSpan: 0,
      itemList: []
    };
    for (const item of columns) {
      curSpan.totalSpan += item.span || 1;
      curSpan.itemList.push(item);
      if (curSpan.totalSpan >= column) {
        horizontalList.push(curSpan.itemList);
        curSpan.itemList = [];
        curSpan.totalSpan = 0;
      }
    }
    if (curSpan.itemList.length != 0) horizontalList.push(curSpan.itemList);
    return horizontalList;
  }
}